import { ref, toRefs } from "vue";
import { getDictListByCode } from "./../api/common";

/**
 * 分局字典代码获取字典词条列表
 * @param {字典代码} dict
 */
// export function getDictList(dict) {
//   return new Promise((ok) => {
//     getDictListByCode({ dictCode: dict }).then((res) => {
//       ok(res.itemList);
//     });
//   });
// }
export function getDictList(...dict) {
  const res = ref({})
  return (()=>{
    dict.forEach((d,index)=>{
      res.value[d] = []
      getDictListByCode({
        dictCode: d
      }).then(result=>{
        res.value[d] = result.itemList.map(p=>({
          text:p.zdmc,
          value:p.dm,
          ...p
        }));
      })
    })
    return toRefs(res.value)
  })()
}


// 列表字典翻译函数
export function setDict(dm,options){
  var value = ''
  options.forEach(v=>{
    if(v.value == dm){
      value = v.text
    }
  })
  return value
}

